Subject: Re: bug#46853: Confusing terminology "face height" instead of "font size"

From: Eli Zaretskii <[email-masked]>
Date: Mon, 01 Mar 2021 19:06:14 +0200

> From: Stefan Kangas <[email-masked]>
> Date: Mon, 1 Mar 2021 10:40:07 -0600
> 
> I suggest changing the terminology "face height" to "font size" in user
> documentation and messages.  For example, the documentation for
> `text-scale-adjust' currently says:
> 
>    "Adjust the height of the default face by INC."
> 
> This is harder than it needs to be to understand, since the rest of the
> world actually talks about "increase font size".  IOW, it would be more
> clear if it said:
> 
>    "Adjust the font size in the current buffer by INC steps."

It's okay to make that change in this example, but one example is not
enough to understand what else is on the table.  How about showing a
patch, or at least the full list of places where you think we have
similar problems?  This should IMO be handled on a case by case basis
anyway.

> As part of this, we could also consider introducing a new property for
> `defface' called :size.  (Or :font-size and :font-scale which would
> allow for semantics where we can specify :font-size 14 and mean 14pt
> rather than 1.4pt.)

I wouldn't go that far; using :height is well established in Emacs
(and elsewhere, I believe: the face attributes were defined with XLFD
in mind).